Skip to content
中文

GET /higgsfield/tpl/sounds

Method: GETEndpoint: /higgsfield/tpl/sounds

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Query Parameters

text
size
integer
Number of templates returned
Optional
Example:
14

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
size
integer
Items returned per page
Optional
Default Value:
14
Example
{
"size"
:
14
}

Example Request

Shell

bash
curl --location --request GET '/higgsfield/tpl/sounds?size=14' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "size": 14
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
items
array
[object]
Required
id
string
Optional
name
string
Optional
description
string
Optional
sound_url
string
Optional
waveform_url
string
Optional
total
integer
Required
cursor
integer
Required

Example

json
{
  "items": [
    {
      "id": "DwUP9LmFKqHsvvWQkjLE6",
      "name": "room",
      "description": "Low hum",
      "sound_url": "https://dqv0cqkoy5oj7.cloudfront.net/voices_preset/room.wav",
      "waveform_url": "https://d1xarpci4ikg0w.cloudfront.net/bc46457d-e6ee-4468-a4d0-f8d41a4cefb3.json"
    }
  ],
  "total": 11,
  "cursor": 2
}